canonmn_int.hpp File Reference

Canon makernote tags.
References:
[1] EXIF MakerNote of Canon by David Burren
[2] Canon makernote tags by Phil Harvey. More...

`#include "tags.hpp"`
`#include "types.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | Exiv2::Internal::CanonMakerNote
| MakerNote for Canon cameras. More...

## Namespaces

| Exiv2
| Provides classes and functions to encode and decode Exif and Iptc data. The libexiv2 API consists of the objects of this namespace.
| Exiv2::Internal
| Contains internal objects which are not published and are not part of the libexiv2 API.

## Functions

float | Exiv2::Internal::canonEv (long val)
| Convert Canon hex-based EV (modulo 0x20) to real number Ported from Phil Harvey's Image::ExifTool::Canon::CanonEv by Will Stokes. More...

## Detailed Description

Canon makernote tags.
References:
[1] EXIF MakerNote of Canon by David Burren
[2] Canon makernote tags by Phil Harvey.

Author
  Andreas Huggel (ahu)
  David Cannings (dc) Andi Clemens (ac)

Date
  18-Feb-04, ahu: created
  07-Mar-04, ahu: isolated as a separate component
  12-Aug-06, dc: started updating all tags